Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextCodecPlugin Class Reference

The QTextCodecPlugin class provides an abstract base for custom QTextCodec plugins. More...

    #include <QTextCodecPlugin>

Inherits QObject.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QTextCodecPlugin ( QObject * parent = 0 )
- ~QTextCodecPlugin ()
- virtual QTextCodec * createForMib ( int mib ) = 0
- virtual QTextCodec * createForName ( const QString & name ) = 0
- virtual QList<int> mibEnums () const = 0
- virtual QStringList names () const = 0

- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject

## Detailed Description

The QTextCodecPlugin class provides an abstract base for custom QTextCodec plugins.

The text codec plugin is a simple plugin interface that makes it easy to create custom text codecs that can be loaded dynamically into applications.

Writing a text codec plugin is achieved by subclassing this base class, reimplementing the pure virtual functions names(), createForName(), mibEnums() and createForMib(), and exporting the class with the `Q_EXPORT_PLUGIN` macro. See the Qt Plugins documentation for details.

See the IANA character-sets encoding file for more information on mime names and mib enums.

## Member Function Documentation

### QTextCodecPlugin::QTextCodecPlugin ( QObject * parent = 0 )

Constructs a text codec plugin with the given parent. This is invoked automatically by the `Q_EXPORT_PLUGIN` macro.

### QTextCodecPlugin::~QTextCodecPlugin ()

Destroys the text codec plugin.

### QTextCodec * QTextCodecPlugin::createForMib ( int mib ) `[pure virtual]`

Creates a QTextCodec object for the mib enum mib.

(See the IANA character-sets encoding file for more information)

See also mibEnums().

### QTextCodec * QTextCodecPlugin::createForName ( const QString & name ) `[pure virtual]`

Creates a QTextCodec object for the codec called name.

See also names().

### QList<int> QTextCodecPlugin::mibEnums () const `[pure virtual]`

Returns the list of mib enums supported by this plugin.

See also createForMib().

### QStringList QTextCodecPlugin::names () const `[pure virtual]`

Returns the list of mime names supported by this plugin.

See also createForName().